---
title:
  zh-CN: 基础用法
  en-US: Button Size
desc:
  zh-CN:
  en-US: Button

order: 1
---

# zh-CN

基本用法。可以使用 v-model 双向绑定数据。

单选时，value 只接受字符串和数字类型，多选时，只接受数组类型，组件会自动根据 Option 的 value 来返回选中的数据。

可以给 Select 添加 style 样式，比如宽度。

在展开选择器后，可以使用键盘的 up 和 down 快速上下选择，按下 Enter 选择，按下 Esc 收起选择器。

# en-US

```vue
<template>
  <Select v-model="model1" filterable style="width:200px">
    <Option v-if="bbb" :value="''" :key="''">全部</Option>
    <Option v-for="item in cityList" :value="item.value" :key="item.value">
      {{ item.label }}
    </Option>
  </Select>
  <Button @click="aaa">test</Button>
  <Button @click="ccc">test</Button>
</template>
<script>
export default {
  methods: {
    aaa() {
      this.bbb = false;
      this.model1 = 1;
    },
    ccc() {
      this.bbb = true;
      this.model1 = 'New York';
    }
  },
  data() {
    return {
      bbb: true,
      cityList: [
        {
          value: 'New York',
          label: 'New York11111'
        },
        {
          value: 1,
          label: 'London'
        },
        {
          value: 'Sydney',
          label: 'Sydney'
        },
        {
          value: 'Ottawa',
          label: 'Ottawa'
        },
        {
          value: 'Paris',
          label: 'Paris'
        },
        {
          value: 'Canberra1',
          label: 'Canberra'
        },
        {
          value: 'Canberra2',
          label: 'Canberra'
        },
        {
          value: 'Canberra3',
          label: 'Canberra'
        },
        {
          value: 'Canberra4',
          label: 'Canberra'
        },
        {
          value: 'Canberra5',
          label: 'Canberra'
        }
      ],
      model1: 1
    };
  }
};
</script>
```
